<mat-sidenav-container [ngClass]="{'overflow-login': !(user$ | async)}">
  <mat-sidenav #sidenav class="example-sidenav mat-elevation-z5" opened="true"
               mode="side"
               *ngIf="(user$ | async)?.currentRepertorio as currentRepertorio"
               style="position: fixed; margin-top: 104px;">
    <!--<button mat-icon-button>
        <mat-icon>menu</mat-icon>
    </button>-->
    <mat-nav-list>
      <a mat-list-item
         routerLink="/{{currentRepertorio.toLowerCase()}}/home"
         routerLinkActive="active">
        <mat-icon>home</mat-icon>
        Homepage</a>
      <a mat-list-item
         routerLink="/{{currentRepertorio.toLowerCase()}}/upload/singolo"
         routerLinkActive="active"
         *ngIf="currentRepertorio.toLowerCase()==='musica'">
        <mat-icon>file_upload</mat-icon>
        Upload Singolo</a>
      <a mat-list-item
         routerLink="/{{currentRepertorio.toLowerCase()}}/upload/massivo"
         routerLinkActive="active">
        <mat-icon svgIcon="upload">
        </mat-icon>
        Upload{{ currentRepertorio.toLowerCase()==='musica' ?
        ' Massivo' : ''}}</a>
      <a mat-list-item
         routerLink="/{{currentRepertorio.toLowerCase()}}/monitoraggio"
         routerLinkActive="active"
         *ngIf="currentRepertorio.toLowerCase()==='musica'">
        <mat-icon svgIcon="monitoraggio">
        </mat-icon>
        Monitoraggio</a>
      <a mat-list-item
         routerLink="/{{currentRepertorio.toLowerCase()}}/download/armonizzato"
         routerLinkActive="active"
         *ngIf="currentRepertorio.toLowerCase()==='musica'">
        <mat-icon>file_download</mat-icon>
        Download</a>
      <a mat-list-item
         routerLink="/{{currentRepertorio.toLowerCase()}}/download/report"
         routerLinkActive="active">
        <mat-icon>history</mat-icon>
        Cronologia Upload</a>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <div class="page-wrap">
      <main class="content" id="main">
        <router-outlet></router-outlet>
      </main>
      <footer *ngIf="(user$ | async) as user"
              [style.display]="user ? 'block' : 'none'">&nbsp;
      </footer>
    </div>
  </mat-sidenav-content>
</mat-sidenav-container>
